import Login from '@components/login/Login.vue';
import Register from '@components/register/Register.vue';
import ForgetPassword from '@components/forgetPassword/FindPassword.vue';
import HomePage from '@components/common/HomePage.vue';
import TrialUser from '@components/user/TrialUser.vue';
import Information from '@components/user/Information.vue';
import MoreService from '@components/user/MoreService.vue';//GDFW
import OpenedProduct from '@components/user/OpenedProduct.vue';//YGMCP
import AddServiceProduct from '@components/user/AddServiceProduct.vue';//添加服务端产品
import ManageService from '@components/user/ManageService.vue';//管理服务端
import CreatedToken from '@components/user/CreatedToken.vue';//查看生成令牌
import AlreadyToken from '@components/user/AlreadyToken.vue';//已生成令牌
// import UserSetting from '@components/user/UserSetting.vue';//安全设置
import UserSetting from '@components/user/SafetySetting.vue';//安全设置
/*******************朗通后台**********************/
import ProductLines from '@components/admin/ProductLines.vue'
import ProductLinesManage from '@components/admin/ProductLinesManage.vue'
import SuperAdmin from '@components/admin/SuperAdmin.vue'
import AdminConsole from '@components/admin/Console.vue';
import AddAdmin from '@components/admin/AddAdmin.vue';
import PersonCenter from '@components/admin/PersonCenter.vue';
import ChangePwd from '@components/admin/ChangePwd.vue';
import RegisterAdmin from '@components/admin/RegisterAdmin.vue';
import Renew from '@components/admin/Renew.vue';
import AuthedAdmin from '@components/admin/AuthedAdmin.vue';
import AddProductLine from '@components/admin/AddProductLine.vue'
import OrganizationInfo from '@components/admin/OrganizationInfo.vue';//机构信息
import AddOrganization from '@components/admin/AddOrganization.vue';//添加机构信息
import ModifinedOrga from '@components/admin/ModifinedOrga.vue';//修改机构信息
import ProductDetail from '@components/admin/ProductDetail.vue';
import Console from '@components/user/Console.vue';
import LabelGroup from '@components/icss/LabelGroup.vue'  //标签组
import NoiseTemplate from '@components/icss/NoiseTemplate.vue';
import DeptInfo from '@components/icss/DeptInfo.vue';//科室信息
import DeptInfoDetail from '@components/icss/DeptInfoDetail.vue';//科室信息-详情
import AddDeptInfo from '@components/icss/AddDeptInfo.vue';//科室信息-添加
import IndeptLabel from '@components/icss/IndeptLabel.vue';//独立标签
import AddIndeptLabel from '@components/icss/AddIndeptLabel.vue'//独立标签-添加
import PromptInfo from '@components/icss/PromptInfo.vue'//提示信息
import AddPromptInfo from '@components/icss/AddPromptInfo.vue'//添加提示信息
import SimilarName from '@components/icss/SimilarName.vue'//别名维护
import AddSimilarName from '@components/icss/AddSimilarName.vue'//别名维护-详情
import CommonSymptom from '@components/icss/CommonSymptom.vue' //常见科室症状
import AddCommonSymptom from '@components/icss/AddCommonSymptom' //常见科室症状--添加
import PromptDetail from '@components/icss/PromptDetail.vue'//提示信息详情
import MedicinePrompt from '@components/icss/MedicinePrompt.vue'   //医学术语静态知识
import AddMedicinePrompt from '@components/icss/AddMedicinePrompt.vue'   //医学术语静态知识

import DisclaimerInformation from '@components/icss/DisclaimerInformation.vue'//免责声明
import DiscInfoDetail from '@components/icss/DiscInfoDetail.vue'//免责声明-详情
import AddDisclInfo from '@components/icss/AddDisclInfo.vue'//免责声明-添加
import PhysicalExamTemplate from '@components/icss/PhysicalExamTemplate.vue'  //查体模板维护
import AddPhysicalExamTemp from '@components/icss/AddPhysicalExamTemp.vue'  //查体模板维护--添加

import TemplateMaintenance from '@components/icss/TemplateMaintenance.vue'//模板维护列表
import TemplateMaintenanceWrap from '@components/icss/TemplateMaintenanceWrap.vue'//模板维护添加修改
import VersionInfo from '@components/icss/VersionInfo.vue'//版本信息
import VersionDetail from '@components/icss/VersionDetail.vue'//版本信息-详情
import AddVersion from '@components/icss/AddVersion.vue'//版本信息-添加/修改
import MedicalName from '@components/icss/MedicalName.vue'//医学术语维护-命名维护
import AddMedicalName from '@components/icss/AddMedicalName.vue'//医学术语维护-命名维护/添加修改
import MedicalRelation from '@components/icss/MedicalRelation.vue'//医学术语维护-关系维护
import AddMedicalRelation from '@components/icss/AddMedicalRelation.vue'//医学术语维护-关系维护-添加
import MedicalInfo from '@components/icss/MedicalInfo.vue'//医学术语维护-信息维护（属性维护）
import AddMedicalInfo from '@components/icss/AddMedicalInfo.vue'//医学术语维护-信息维护（属性维护）-添加
import DiagnosisList from '@components/icss/DiagnosisList.vue'//诊断标签维护 -- 列表显示
import DiagnosisTemplate from '@components/icss/DiagnosisTemplate.vue';//诊断标签维护 -- 添加
import ChronicDiseaseStructureList from '@components/icss/ChronicDiseaseStructureList.vue'; //量表结构维护 -- 列表
import ChronicDiseaseAdd from '@components/icss/ChronicDiseaseAdd.vue'; //量表结构维护 -- 添加
import ChronicDiseaseManage from '@components/icss/ChronicDiseaseManage.vue'; //慢病管理评估维护 -- 列表
import ChronicDiseaseManageAdd from '@components/icss/ChronicDiseaseManageAdd.vue'; //慢病管理评估维护 -- 添加
import ChemicalAndCommonMapping from '@components/icss/ChemicalAndCommonMapping.vue'; //化验大小项与公表维护
import AddChemicalAndCommonMapping from '@components/icss/AddChemicalAndCommonMapping.vue'  //化验大小项与公表维护--添加关联
import ChronicAndIndexRelation from '@components/icss/ChronicAndIndexRelation.vue'  //医学数据--慢病指标值关联维护
import AddChronicAndIndexRelation from '@components/icss/AddChronicAndIndexRelation.vue'  //医学数据--添加慢病指标值关联
import DisAndScaleRelation from '@components/icss/DisAndScaleRelation.vue'  //医学数据--量表关联维护
import AddDisAndScaleRelation from '@components/icss/AddDisAndScaleRelation.vue'  //医学数据--添加量表关联
import AssaySon from '@components/icss/AssaySon.vue'  //医学数据--化验子项维护
import AddAssaySon from '@components/icss/AddAssaySon.vue'  //医学数据--化验子项维护-添加修改
import ConceptRelation from '@components/icss/ConceptRelation.vue'  //医学数据--术语关联维护
import AddConceptRelation from '@components/icss/AddConceptRelation.vue'  //医学数据--术语关联维护添加修改



import MedicalMultRelation from '@components/icss/MedicalMultRelation.vue'  //医学术语--医学术语多层关联维护
import AddMedicalMultRelation from '@components/icss/AddMedicalMultRelation.vue' //医学术语--添加医学术语多层关联维护
import MedicalType from '@components/icss/MedicalType.vue'//医学术语维护-类型维护
//预问诊
import SimpleQuestion from '@components/preTreat/SimpleQuestion.vue';
import CombinQuestion from '@components/preTreat/CombinQuestion.vue';
import AddSimpleQuestion from '@components/preTreat/AddSimpleQuestion.vue';
import AddCombinQuestion from '@components/preTreat/AddCombinQuestion.vue';
import QuestionModules from '@components/preTreat/QuestionModules.vue';
import AddQuestionModules from '@components/preTreat/AddQuestionModules.vue';
//诊断依据
import DiagBase from '@components/diagBase/DiagBase.vue';  //诊断依据--诊断依据数据维护
import AddDiagBase from '@components/diagBase/AddDiagBase.vue';  //诊断依据--诊断依据数据维护

import QuestionWords from '@components/diagBase/QuestionWords.vue';

//医学数据统计
import MedicalStatistics from '@components/medicalStatistics/MedicalStatistics.vue';

//医学术语库维护
import AssistCheckMultRelation from '@components/medicalTerm/AssistCheckMultRelation.vue';
import AddAssistCheckMultRelation from '@components/medicalTerm/AddAssistCheckMultRelation.vue';
import AssistCheckSon from '@components/medicalTerm/AssistCheckSon.vue';
import AddAssistCheckSon from '@components/medicalTerm/AddAssistCheckSon.vue';

//安全管理
import TokenControl from '@components/safeControl/TokenControl.vue';
import AddToken from '@components/safeControl/AddToken.vue';

//规则管理
import RulesManager from '@components/RuleManager/RulesManager.vue';
import RuleApply from '@components/RuleManager/RuleApply.vue';
import AddRule from '@components/RuleManager/AddRule.vue';
import AddRuleApply from '@components/RuleManager/AddRuleApply.vue';

import RecordManager from '@components/recordManager/recordList.vue';
import AddRecord from '@components/recordManager/addRecord.vue';
import ShowRecord from '@components/recordManager/showRecord.vue';

export default [
  {
    path: '/',
    name: 'login',
    component: Login
  },
  {
    path: '/register',
    name: 'Register',
    component: Register
  },
  {
    path: '/forgetPassword',
    name: 'FindPassword',
    component: ForgetPassword
  },
  {//用户后台
    path: '/user',
    component: HomePage,
    meta: {
      requireAuth: true
    },
    children: [
      // {path: '/', component: Console},
      {path: 'YH-KZT', component: Console},     //控制台
      {path: 'YH-GDFW', component: MoreService},      //更多服务
      {path: 'YH-JGZX', component: Information},//机构中心
      {path: 'YH-JGZX-YKTCP', component: OpenedProduct}, //已开通产品
      {path: 'TJFWD', component: AddServiceProduct}, //添加服务端
      {path: 'YH-JGZX-GLFFD', component: ManageService}, //管理服务端
      {path: 'YH-JGZX-YSCLP', component: AlreadyToken},//已生成令牌
      {path: 'CKLPXQ', component: CreatedToken},//查看生成令牌
      {path: 'YH-JGZX-AQSZ', component: UserSetting},//安全设置
			{path: 'YH-JGZX-ZHXX', component: Information},//账号信息
			
    ]
  },

  {//朗通后台
    path: '/admin',
    component: HomePage,
    meta: {
      requireAuth: true
    },
    children: [
      // {path: '/', component: AdminConsole},
      {path: 'LT-KZT', component: AdminConsole},
      {path: 'LT-JGZX', component: AdminConsole},
      {
        path: 'LT-KHZX-ZCYH',
        component: RegisterAdmin
      },
      {
        path: 'LT-YRZCGXX',
        component: AuthedAdmin
      },
    	{
    	  name:'organizationInfo',
    	  path: 'LT-KHZX-JGXX',//机构信息
        component: OrganizationInfo,
        meta:{
          keepAlive:true
        }
    	},
      {
        path: 'LT-KHZX-TJJG',//添加机构
        component: AddOrganization
      },
      {
        path: 'LT-KHZX-XGJG',//修改机构
        component: ModifinedOrga
      },
      {
        name:'superAdmin',
        path: 'LT-KHZX-CGXX',
        component: SuperAdmin
      },
      {
        path: 'LT-DDXT-TJCG',
        component: AddAdmin,
        name:'addAdmin'
      },
      {
        path: 'LT-DDXT-CPXSQLB',
        component: ProductLines
      },
      {
        path: 'LT-CPXGL-CPXXQ',
        component: ProductDetail,
        name:'productDetail'
      },
			{
				path: 'LT-CPXFLB',
				component: Renew
			},
      {path: 'LT-GRZX', component: PersonCenter},
      {path: 'LT-CPXGL', component: ProductLinesManage},
      {path: 'LT-CPXGL-TJCPX', component: AddProductLine,name:'editProductLine'},
      {path: 'LT-GRZX/CHANGE',component: ChangePwd}, //个人中心--修改密码
      {path: 'LT-YXSJWH-BQZWH',component: LabelGroup,name:'labelGroup'}, //医学数据维护--标签组维护
      {path:'LT-YXSJWH-TJBQZ',component:NoiseTemplate,name:'AddLabelGroup'},     //医学数据维护--标签组维护--添加标签组
      {path:'LT-YXSJWH-KSWH',component:DeptInfo,name:'deptInfo'},     //医学数据维护--科室维护
      {path:'LT-YXSJWH-KSXQ',component:DeptInfoDetail,name:'DeptInfoDetail'},     //科室维护--详情
      {path:'LT-YXSJWH-TJKS',component:AddDeptInfo,name:'AddDeptInfo'},     //科室维护--添加
      {path:'LT-YXSJWH-DLLXBQWH',component:IndeptLabel,name:'IndeptLabel'},     //独立标签维护--详情
      {path:'LT-YXSJWH-TJDLBQ',component:AddIndeptLabel,name:'AddIndeptLabel'},     //独立标签维护--添加
      {path:'LT-YXSJWH-TSXXWH',component:PromptInfo,name:'PromptInfo'},         //提示信息维护
	    {path:'LT-YXSJWH-BMWH',component:SimilarName,name:'SimilarName'},     //别名维护
      {path:'LT-YXSJWH-CJXXWH',component:CommonSymptom,name:'CommonSymptom'},  //常见症状维护
      {path:'LT-YXSJWH-TJCJZZ',component:AddCommonSymptom,name:'AddCommonSymptom'},  //常见症状维护--添加
      {path:'LT-YXSJWH-TJBM',component:AddSimilarName,name:'AddSimilarName'},     //别名维护-添加/修改
      // {path:'LT-YXSJWH-MZSMWH',component:DisclaimerInformation,name:'DisclaimerInformation'},     //免责声明
      {path:'LT-YXSJKWH-MZSMWH',component:DisclaimerInformation,name:'DisclaimerInformation'},     //免责声明
      {path:'LT-YXSJWH-MZSMXQ',component:DiscInfoDetail,name:'DiscInfoDetail'},     //免责声明-详情
      {path:'LT-YXSJWH-TJMZSM',component:AddDisclInfo,name:'AddDisclInfo'},     //免责声明-添加/修改
      {path:'LT-YXSJWH-MBWH',component:TemplateMaintenance,name:'TemplateMaintenance'},     //模板维护
      {path:'LT-YXSJWH-CTMBWH',component:PhysicalExamTemplate,name:'PhysicalExamTemplate'},     //查体模板维护
      {path:'LT-YXSJWH-TJCTMB',component:AddPhysicalExamTemp,name:'AddPhysicalExamTemp'},     //查体模板维护--添加
      {path:'LT-YXSJWH-TJMBWH',component:TemplateMaintenanceWrap,name:'TemplateMaintenanceWrap'},     //模板维护-添加修改
      {path:'LT-YXSJWH-TJTSXX',component:AddPromptInfo,name:'AddPromptInfo'},         //提示信息维护-添加
      {path:'LT-YXSJWH-TSXXXQ',component:PromptDetail,name:'PromptDetail'},         //提示信息维护详情
      {path:'LT-YXSYKWH-YXSYJTZSWH',component:MedicinePrompt,name:'MedicinePrompt'},         //医学术语提示信息维护
      {path:'LT-YXSYKWH-TJYXSYJTZS',component:AddMedicinePrompt,name:'AddMedicinePrompt'},         //医学术语提示信息维护添加
	    {path:'LT-GBBXXWH-BBXXWH',component:VersionInfo,name:'VersionInfo'},     //版本信息
      {path:'LT-YXSJWH-BBXXXQ',component:VersionDetail,name:'VersionDetail'},     //版本信息-详情
      {path:'LT-YXSJWH-TJBBXX',component:AddVersion,name:'AddVersion'},     //版本信息-添加/修改
      {path:'LT-YXSYKWH-YXSYMMWH',component:MedicalName,name:'MedicalName'},     //医学术语--命名维护
      {path:'LT-YXSYKWH-TJYXSY',component:AddMedicalName,name:'AddMedicalName'},     //医学术语--命名维护
      {path:'LT-YXSYKWH-YXSYGXWH',component:MedicalRelation,name:'MedicalRelation'},     //医学术语--关系维护
      {path:'LT-YXSYKWH-TJYXSYGX',component:AddMedicalRelation,name:'AddMedicalRelation'},     //医学术语--关系维护-添加
      {path:'LT-YXSYKWH-SYYXSXWH',component:MedicalInfo,name:'MedicalInfo'},  //医学术语维护-信息维护（属性维护）
      {path:'LT-YXSYKWH-TJYXSYXX',component:AddMedicalInfo,name:'AddMedicalInfo'},  //医学术语维护-信息维护（属性维护) -- 添加
      {path:'LT-YXSJWH-ZDBQWH',component:DiagnosisList,name:'DiagnosisList'},  //诊断标签维护 -- 列表显示
      {path:'LT-YXSJWH-ZDBQTJ',component:DiagnosisTemplate,name:'DiagnosisTemplate'},  //诊断标签维护 -- 添加
      {path:'LT-YXSYKWH-LBJGWH',component:ChronicDiseaseStructureList,name:'ChronicDiseaseStructureList'},  //量表结构维护 -- 列表
      {path:'LT-YXSJWH-LBJGTJ',component:ChronicDiseaseAdd,name:'ChronicDiseaseAdd'},  //量表结构维护 -- 添加
      {path:'LT-YXSJWH-MBGLYPG',component:ChronicDiseaseManage,name:'ChronicDiseaseManage'},  //慢病管理评估维护 -- 列表
      {path:'LT-YXSJWH-MBGLYTJ',component:ChronicDiseaseManageAdd,name:'ChronicDiseaseManageAdd'},  //慢病管理评估维护 -- 添加
      {path:'LT-YXSJWH-HYDXXYGBXDY',component:ChemicalAndCommonMapping,name:'ChemicalAndCommonMapping'},  //化验大小项与公表维护
      {path:'LT-YXSJWH-TJHYDXXYGBXDY',component:AddChemicalAndCommonMapping,name:'AddChemicalAndCommonMapping'},  //化验大小项与公表维护--添加关联
      {path:'LT-YXSYKWH-YXSYLXWH',component:MedicalType,name:'MedicalType'},     //医学术语--类型维护
      {path:'LT-YXSYKWH-MBZBZGLWH',component:ChronicAndIndexRelation,name:'ChronicAndIndexRelation'},     //医学数据--慢病指标值关联维护
      {path:'LT-YXSYKWH-TJMBZBZGL',component:AddChronicAndIndexRelation,name:'AddChronicAndIndexRelation'},     //医学数据--添加慢病指标值关联维护
      {path:'LT-YXSJWH-LBGLWH',component:DisAndScaleRelation,name:'DisAndScaleRelation'},     //医学数据--量表关联维护
      {path:'LT-YXSJWH-TJLBGL',component:AddDisAndScaleRelation,name:'AddDisAndScaleRelation'},     //医学数据--添加量表关联
      {path:'LT-YXSYKWH-HYZXWH',component:AssaySon,name:'AssaySon'},     //医学数据--化验子项维护
      {path:'LT-YXSYKWH-TJHYZX',component:AddAssaySon,name:'AddAssaySon'},     //医学数据--化验子项添加修改   
      {path:'LT-YXSYKWH-YXSYGLWH',component:ConceptRelation,name:'ConceptRelation'},     //医学数据--医学术语关联维护   
      // {path:'LT-YXSYKWH-YXSYLXWH',component:ConceptRelation,name:'ConceptRelation'},     //医学数据--医学术语关联维护   
      {path:'LT-YXSYKWH-TJYXSYGL',component:AddConceptRelation,name:'AddConceptRelation'},     //医学数据--医学术语关联维护-添加修改   

      {path:'LT-YXSYKWH-YXSYDCGLWH',component:MedicalMultRelation,name:'MedicalMultRelation'},   //医学术语--医学术语多层关联维护
      {path:'LT-YXSYKWH-TJYXSYDCGL',component:AddMedicalMultRelation,name:'AddMedicalMultRelation'},   //医学术语--添加医学术语多层关联
      {path:'LT-YXSYKWH-FJCJGLWH',component:AssistCheckMultRelation,name:'AssistCheckMultRelation'},   //医学术语--辅检层级关联维护
      {path:'LT-YXSYKWH-TJFJCJGL',component:AddAssistCheckMultRelation,name:'AddAssistCheckMultRelation'},   //医学术语--添加辅检层级关联
      {path:'LT-YXSYKWH-FJZXWH',component:AssistCheckSon,name:'AssistCheckSon'},   //医学术语--辅检子项维护
      {path:'LT-YXSYKWH-TJFJZX',component:AddAssistCheckSon,name:'AddAssistCheckSon'},   //医学术语--辅检子项维护
       

      {path:'LT-YWZSJWH-DLTXDWH',component:SimpleQuestion,name:'SimpleQuestion'},  //预问诊-独立填写单
      {path:'LT-YWZSJWH-ZHTXDWH',component:CombinQuestion,name:'CombinQuestion'},  //预问诊-组合填写单
      {path:'LT-YWZSJWH-TJDLTXD',component:AddSimpleQuestion,name:'AddSimpleQuestion'},  //预问诊-添加独立填写单
      {path:'LT-YWZSJWH-TJZHTXD',component:AddCombinQuestion,name:'AddCombinQuestion'},  //预问诊-添加组合填写单
      {path:'LT-YWZSJWH-MBWH',component:QuestionModules,name:'QuestionModules'},  //预问诊-模板维护
      {path:'LT-YWZSJWH-TJMBWH',component:AddQuestionModules,name:'AddQuestionModules'},  //预问诊-添加模板

      {path:'LT-ZDYJWH-ZDYJSJWH',component:DiagBase,name:'DiagBase'},  //诊断依据-诊断依据维护
      {path:'LT-ZDYJWH-TJZDYJSJ',component:AddDiagBase,name:'AddDiagBase'},  //诊断依据-添加诊断依据
      {path:'LT-ZDYJWH-WTCSJWH',component:QuestionWords,name:'QuestionWords'},  //问题列表
      {path:'LT-SJTJ-YXSJTJ',component:MedicalStatistics,name:'MedicalStatistics'},  //问题列表
      {path:'LT-AQGL-LICENSEWH',component:TokenControl,name:'TokenControl'},  //安全管理--令牌列表
      {path:'LT-AQGL-TJLICENSE',component:AddToken,name:'AddToken'},  //安全管理--发放令牌
      {path:'LT-YXSYKWH-GZWH',component:RulesManager,name:'RulesManager'},//规则管理
      {path:'LT-YXSYKWH-TJGZWH',component:AddRule,name:'AddRule'},//规则添加
      {path:'LT-YXSYKWH-GZYYWH',component:RuleApply,name:'RuleApply'},//规则管理
      {path:'LT-YXSYKWH-TJGZYYWH',component:AddRuleApply,name:'AddRuleApply'},//规则添加
      {path: 'LT-BLGL',name:'RecordManager', component: RecordManager},//病历管理
      {path: 'LT-BLGL-TJBLGL',name:'AddRecord', component: AddRecord},//添加病历
      {path: 'LT-BLGL-CKBLGL',name:'ShowRecord', component: ShowRecord},//添加病历
    ]
  }
]
