const path = require('path');
// const proxy_path = 'http://192.168.2.236:80';
// const proxy_path = 'http://192.168.2.241:88';
// const proxy_path = 'http://223.93.170.82:23650';
 const proxy_path = 'http://192.168.2.236:88';
// const proxy_path = 'http://192.168.3.101:5050';
// const proxy_path = 'http://192.168.3.117:5050';//周铁刚
// const proxy_path = 'http://192.168.3.115:5050';

module.exports = {
    lintOnSave: false,
    devServer: {
        historyApiFallback: true,
        disableHostCheck: true,
        proxy: {
            '/api': {
                target: proxy_path,
                changeOrigin: true,
                secure: false
            }
        }
    },
    configureWebpack:{
        resolve:{
            alias: {
                '@components': path.resolve(__dirname,'./src/components/'),
                '@less': path.resolve(__dirname,'./src/less/'),
                '@base':path.resolve(__dirname,'./src/components/base/'),
                '@api': path.resolve(__dirname,'./src/api/')
            }
        }
    },
};